summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Hunter Sezen <orbea@fredslev.dk>2018-12-15 06:54:25 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-12-15 06:54:25 +0700
commit9c1628e5c24ed33e38a57f29bfc90c68912b1e9b (patch)
tree09a85c73e58dd4f1b85fee445f80021e20144831 /libraries
parent27e9cafe8093f1647c0a37d0ac449f91b65438f8 (diff)
downloadslackbuilds-9c1628e5c24ed33e38a57f29bfc90c68912b1e9b.tar.gz
slackbuilds-9c1628e5c24ed33e38a57f29bfc90c68912b1e9b.tar.xz
libraries/glfw3: Updated for version 3.2.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/glfw3/README14
-rw-r--r--libraries/glfw3/glfw3.SlackBuild43
-rw-r--r--libraries/glfw3/glfw3.info12
-rw-r--r--libraries/glfw3/slack-desc18
4 files changed, 46 insertions, 41 deletions
diff --git a/libraries/glfw3/README b/libraries/glfw3/README
index 7f0a4e39d9..3093fd4ef6 100644
--- a/libraries/glfw3/README
+++ b/libraries/glfw3/README
@@ -1,12 +1,12 @@
-GLFW is a free, Open Source, multi-platform library for opening a
-window, creating an OpenGL context and managing input. It is easy to
-integrate into existing applications and does not lay claim to the
-main loop.
+GLFW is an Open Source, multi-platform library for OpenGL, OpenGL ES and
+Vulkan development on the desktop. It provides a simple API for creating
+windows, contexts and surfaces, receiving input and events.
-GLFW is written in C and has native support for Windows, Mac OS X and
-many Unix-like systems using the X Window System, such as Linux and
-FreeBSD.
+GLFW is written in C and has native support for Windows, macOS and many
+Unix-like systems using the X Window System, such as Linux and FreeBSD.
GLFW is licensed under the zlib/libpng license.
This is version 3 of GLFW with an incompatible API to GLFW 2.
+
+vulkansdk is an optional dependency for vulkan support.
diff --git a/libraries/glfw3/glfw3.SlackBuild b/libraries/glfw3/glfw3.SlackBuild
index d1b41ad62f..dd9194c695 100644
--- a/libraries/glfw3/glfw3.SlackBuild
+++ b/libraries/glfw3/glfw3.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for glfw3
# Copyright 2015 Jeffrey T. Read <bitwize@gmail.com> USA
+# Copyright 2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +24,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=glfw3
-OLDPRGNAM=glfw
-VERSION=${VERSION:-3.1.1}
+SRCNAM=${PRGNAM%3}
+VERSION=${VERSION:-3.2.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -55,14 +56,14 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $OLDPRGNAM-$VERSION
-unzip $CWD/$OLDPRGNAM-$VERSION.zip
-cd $OLDPRGNAM-$VERSION
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -70,23 +71,27 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-cmake -DCMAKE_INSTALL_PREFIX:PATH=$PKG/usr -DLIB_SUFFIX=$LIBDIRSUFFIX -DBUILD_SHARED_LIBS=1 .
+# glfw3 doesn'5 install documentation or examples so don't build them.
-make all
-make install
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DBUILD_SHARED_LIBS=1 \
+ -DGLFW_BUILD_EXAMPLES=OFF \
+ -DGLFW_BUILD_DOCS=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-find $PKG -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a docs/*.dox docs/*.xml docs/*.svg docs/*.in docs/*.css docs/html $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/glfw3/glfw3.info b/libraries/glfw3/glfw3.info
index 5af8b4292f..0ddf17534d 100644
--- a/libraries/glfw3/glfw3.info
+++ b/libraries/glfw3/glfw3.info
@@ -1,10 +1,10 @@
PRGNAM="glfw3"
-VERSION="3.1.1"
-HOMEPAGE="http://www.glfw.org"
-DOWNLOAD="https://github.com/glfw/glfw/releases/download/3.1.1/glfw-3.1.1.zip"
-MD5SUM="7d810be356637ff30a7a9ea9c1e1992d"
+VERSION="3.2.1"
+HOMEPAGE="https://www.glfw.org/"
+DOWNLOAD="https://github.com/glfw/glfw/archive/3.2.1/glfw3-3.2.1.tar.gz"
+MD5SUM="91b8250b6edcc26c9f5205555070a504"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Jeffrey T. Read"
-EMAIL="bitwize@gmail.com"
+MAINTAINER="Hunter Sezen"
+EMAIL="orbea@fredslev.dk"
diff --git a/libraries/glfw3/slack-desc b/libraries/glfw3/slack-desc
index b7f627aa65..b4565d2c2a 100644
--- a/libraries/glfw3/slack-desc
+++ b/libraries/glfw3/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-glfw3: glfw3 (OpenGL framework)
+glfw3: glfw3 (OpenGL, OpenGL ES, Vulkan, window and input library)
+glfw3:
+glfw3: GLFW is an Open Source, multi-platform library for OpenGL, OpenGL ES
+glfw3: and Vulkan development on the desktop. It provides a simple API for
+glfw3: creating windows, contexts and surfaces, receiving input and events.
+glfw3:
+glfw3: Homepage: https://www.glfw.org/
+glfw3:
+glfw3:
glfw3:
-glfw3: GLFW is a free, Open Source, multi-platform library for opening a
-glfw3: window, creating an OpenGL context and managing input. It is easy to
-glfw3: integrate into existing applications and does not lay claim to the
-glfw3: main loop.
glfw3:
-glfw3: GLFW is written in C and has native support for Windows, Mac OS X and
-glfw3: many Unix-like systems using the X Window System, such as Linux and
-glfw3: FreeBSD.
-glfw3: This is version 3 of GLFW with an incompatible API to GLFW 2.